<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <Title>Prise</Title>
    <PackageId>Prise</PackageId>
    <PackageDescription>Prise, A .NET Plugin Framework!</PackageDescription>
    <Authors>Maarten Merken</Authors>
    <Company>MRKN</Company>
    <PackageTags>plugin;framework;prise;decoupling;assembly;dispatchproxy;proxy</PackageTags>
    <PackageLicenseUrl>https://raw.githubusercontent.com/merken/Prise/master/LICENSE</PackageLicenseUrl>
    <PackageProjectUrl>https://github.com/merken/Prise</PackageProjectUrl>
    <RepositoryUrl>https://github.com/merken/Prise.git</RepositoryUrl>
    <RepositoryType>git</RepositoryType>
    <TargetsForTfmSpecificBuildOutput>$(TargetsForTfmSpecificBuildOutput);CopyProjectReferencesToPackage</TargetsForTfmSpecificBuildOutput>
    <LangVersion>default</LangVersion>
    <TargetFramework>net9.0</TargetFramework>
  </PropertyGroup>

  <Target DependsOnTargets="ResolveReferences" Name="CopyProjectReferencesToPackage">
    <ItemGroup>
      <BuildOutputInPackage Include="@(ReferenceCopyLocalPaths-&gt;WithMetadataValue('ReferenceSourceTarget', 'ProjectReference'))" />
    </ItemGroup>
  </Target>

  <PropertyGroup>
    <PackageIcon>icon.png</PackageIcon>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
  </PropertyGroup>

  <ItemGroup>
    <None Include="../icon.png">
      <Pack>True</Pack>
      <PackagePath></PackagePath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="CommunityToolkit.Mvvm" Version="8.3.2" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="8.0.1" />
    <PackageReference Include="Microsoft.Extensions.DependencyModel" Version="6.0.0" />
    <PackageReference Include="Microsoft.NETCore.Platforms" Version="7.0.4" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="System.Reflection.MetadataLoadContext" Version="6.0.0" />
    <PackageReference Include="System.Runtime.Loader" Version="4.3.0" />
    <PackageReference Include="NuGet.Versioning" Version="6.11.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="../Prise.Proxy/Prise.Proxy.csproj">
      <ReferenceOutputAssembly>true</ReferenceOutputAssembly>
      <IncludeAssets>Prise.Proxy.dll</IncludeAssets>
    </ProjectReference>
    <ProjectReference Include="../Prise.Plugin/Prise.Plugin.csproj">
      <ReferenceOutputAssembly>true</ReferenceOutputAssembly>
      <IncludeAssets>Prise.Plugin.dll</IncludeAssets>
    </ProjectReference>
  </ItemGroup>
</Project>
